<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Sales Executive Print";
$file = "staff_print_fr.php";
$mgrpcode = "040";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$stafcond = '';


if (isset($_POST["view"])) {
    $name = $_POST["name"];
    $country = $_POST["country"];
    $city = $_POST["city"];
    $state = $_POST["state"];

    $namecond = "";
    $countrycond = "";
    $citycond = "";
    $statecond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($state)) {
        $statecond = " AND `state` LIKE '%$state%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond $statecond") or die(mysqli_error($conn));




    include("includes/linkshead.php");
?>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <table class="table table-condensed table-bordered table-hover">
                <tr class="mySearchTr">
                    <th>Name</th>
                    <th>Address</th>
                    <th>City</th>
                    <th>Pin</th>
                    <!-- <th>Station</th> -->
                    <th>Country</th>
                    <th>Tel.</th>
                    <th>Mobile</th>
                </tr>
                <?php
                $ctr = 1;
                while ($pmain = mysqli_fetch_array($getpmain)) {

                    echo "<tr>";
                    echo "<td>$pmain[name]</td>";
                    echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                    echo "<td>$pmain[city]</td>";
                    echo "<td>$pmain[pin]</td>";
                    // Echo "<td>$pmain[station]</td>";
                    echo "<td>$pmain[country]</td>";
                    echo "<td>$pmain[tel]</td>";
                    echo "<td>$pmain[mobile]</td>";
                    echo "</tr>";
                }
                ?>
            </table>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?php
}


if (isset($_POST["subpdf"])) {

    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ") or die(mysqli_error($conn));

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf
    {

        function Footer()
        {



            //Position at 1.5 cm from bottom

            $this->SetY(-15);

            //Arial italic 8

            $this->SetFont('Arial', 'I', 8);

            //Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }
    }

    $pdf = new pdf('L', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();

    //$pdf->SetMargins(1,1,1);
    //$pdf->SetXY(5,5);
    include 'includes/head_rep_pdf.php';

    $pdf->Cell(10, 7, '', 0, 'C');
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 10);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFillColor(72, 25, 89);
    $pdf->Cell(30, 8, 'Name', 1, 0, '', 1);
    $pdf->Cell(78, 8, 'Address', 1, 0, '', 1);
    $pdf->Cell(30, 8, 'City', 1, 0, '', 1);
    $pdf->Cell(30, 8, 'Pin', 1, 0, '', 1);
    $pdf->Cell(30, 8, 'Station', 1, 0, '', 1);
    $pdf->Cell(20, 8, 'Country', 1, 0, '', 1);
    $pdf->Cell(30, 8, 'Tel No.', 1, 0, '', 1);
    $pdf->Cell(30, 8, 'Mobile No.', 1, 0, '', 1);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();


    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pdf->SetFont('Arial', '', 10);
        //        $pdf->SetTextColor(0, 0, 0);
        $pdf->SetFillColor(255, 255, 255);
        $pdf->Cell(30, 8, $pmain[name], 1, 0, '', 1);
        $pdf->Cell(78, 8, $pmain[add1] . ' ' . $pmain[add2] . ' ' . $pmain[add3], 1, 0, '', 1);
        $pdf->Cell(30, 8, $pmain[city], 1, 0, '', 1);
        $pdf->Cell(30, 8, $pmain[pin], 1, 0, '', 1);
        $pdf->Cell(30, 8, $pmain[station], 1, 0, '', 1);
        $pdf->Cell(20, 8, $pmain[country], 1, 0, '', 1);
        $pdf->Cell(30, 8, $pmain[tel], 1, 0, '', 1);
        $pdf->Cell(30, 8, $pmain[mobile], 1, 0, '', 1);
        //        $pdf->SetTextColor(0, 0, 0);
        $pdf->Ln();
    }
    $pdf->Output('StaffPrint.pdf', 'D');
}


if (isset($_POST["excel"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ") or die(mysqli_error($conn));

    $contents .= "Name,Address,City,Pin,Station,Country,Tel,Mobile\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pname = $pmain[name];
        $paddress = $pmain[add1] . " " . $pmain[add2] . " " . $pmain[add3];
        $pcity = $pmain[city];
        $ppin = $pmain[pin];
        $pstation = $pmain[station];
        $pcountry = $pmain[country];
        $ptel = $pmain[tel];
        $pmobile = $pmain[mobile];

        $contents .= $pname . ",";
        $contents .= $paddress . ",";
        $contents .= $pcity . ",";
        $contents .= $ppin . ",";
        $contents .= $pstation . ",";
        $contents .= $pcountry . ",";
        $contents .= $ptel . ",";
        $contents .= $pmobile . "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>